Summary: Soltys - a game for ScummVM
Name: soltys
Version: 1.0
Release: 2%{?dist}
License: unknown
Group: Amusements/Games
Source0: soltys-en-v%{version}.zip
Source1: %{name}.png
Source2: %{name}.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: scummvm
BuildRequires: unzip
BuildArch: noarch

%description
Soltys

You play the head of the village of Wąchock and your aim is to find
the missing husband of your daughter (who apparently isn't very
attractive if you know what I mean). Scared of his future, Leon
decides to run away from the wedding and you are responsible for
bringing this poor guy back.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/games/%{name}
cp * $RPM_BUILD_ROOT/usr/share/games/%{name}/
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/pixmaps/
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cp %{SOURCE2} $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%{name}
mv $RPM_BUILD_ROOT/usr/share/games/%{name}/license.txt \
   $RPM_BUILD_ROOT/usr/share/doc/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/share/games/%{name}
/usr/share/pixmaps/%{name}.png
/usr/share/applications/%{name}.desktop
%doc /usr/share/doc/%{name}

%changelog
* Thu May 16 2024 Philippe Troin <phil@fifi.org> - 1.0-2
- Update .desktop file for new scummvm parameters and unknown category.
- Center icon.

* Fri Jun  1 2012 Philippe Troin <phil@fifi.org> - 1.0-1
- Created.
